document.addEventListener('DOMContentLoaded', function() {
  // Task filtering functionality
  const filterButtons = document.querySelectorAll('.filter-button');
  const taskCards = document.querySelectorAll('.task-card');
  
  filterButtons.forEach(button => {
    button.addEventListener('click', () => {
      // Remove active class from all buttons
      filterButtons.forEach(btn => btn.classList.remove('active'));
      // Add active class to clicked button
      button.classList.add('active');
      
      const filter = button.textContent.toLowerCase();
      
      taskCards.forEach(card => {
        if (filter === 'all' || card.classList.contains(filter.replace(' ', '-'))) {
          card.style.display = 'block';
        } else {
          card.style.display = 'none';
        }
      });
    });
  });

  // Task form submission
  const taskForm = document.querySelector('form');
  taskForm.addEventListener('submit', function(e) {
    e.preventDefault();
    
    const taskName = document.getElementById('task-name').value;
    const taskDescription = document.getElementById('task-description').value;
    const taskDue = document.getElementById('task-due').value;
    const taskPriority = document.getElementById('task-priority').value;
    
    // Create new task card
    const newTask = document.createElement('div');
    newTask.className = `task-card ${taskPriority.toLowerCase()}-priority`;
    newTask.innerHTML = `
      <div class="task-header">
        <h3>${taskName}</h3>
        <span class="priority-badge">${taskPriority}</span>
      </div>
      <p>Due: ${new Date(taskDue).toLocaleString()}</p>
      <div class="task-progress">
        <progress value="0" max="100"></progress>
      </div>
    `;
    
    document.querySelector('.task-list').appendChild(newTask);
    taskForm.reset();
  });
});